Bug 1312389 - EAP7 - it's not possible to update network interface configuration (attribute names are different in EAP 7)
EAP7 - it's not possible to update network interface configuration (attribute...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
high Severity high
: DR01
: One-off release
Assigned To: Michael Burman
Filip Brychta
: Triaged
Depends On:
Blocks: 1314853
  Show dependency treegraph
 
Reported: 2016-02-26 10:33 EST by Filip Brychta
Modified: 2016-06-06 14:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 14:57:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2016-02-26 10:33:29 EST
Description of problem:
Update of network interface configuration fails with {WFLYCTL0062: Composite operation failed and was rolled back. Steps that failed:={Operation step-3=WFLYCTL0201: Unknown attribute 'any-ipv4-address'}}, rolled-back=true

There is no any-ipv4-address attribute in EAP7 but JON is still using it.


Version-Release number of selected component (if applicable):
JON3.3.5 with eap plugin pack update03-DR01

How reproducible:
Always

Steps to Reproduce:
1.go to eap7 resource -> Server Configuration -> Network interfaces -> Management
2. try to update configuration e.g. inet address


Actual results:
It will fail with Operation step-3=WFLYCTL0201: Unknown attribute 'any-ipv4-address'

Expected results:
Configuration is updated

Additional info:
EAP6 management interface attributes:
[standalone@10.16.23.149:10099 /] /interface=management:read-resource
{
    "outcome" => "success",
    "result" => {
        "any" => undefined,
        "any-address" => undefined,
        "any-ipv4-address" => undefined,
        "any-ipv6-address" => undefined,
        "inet-address" => expression "${jboss.bind.address.management:0.0.0.0}",
        "link-local-address" => undefined,
        "loopback" => undefined,
        "loopback-address" => undefined,
        "multicast" => undefined,
        "name" => "management",
        "nic" => undefined,
        "nic-match" => undefined,
        "not" => undefined,
        "point-to-point" => undefined,
        "public-address" => undefined,
        "site-local-address" => undefined,
        "subnet-match" => undefined,
        "up" => undefined,
        "virtual" => undefined
    }
}

EAP7 management interface attributes:
[standalone@10.16.23.83:10090 /] /interface=management:read-resource
{
    "outcome" => "success",
    "result" => {
        "any" => undefined,
        "any-address" => undefined,
        "inet-address" => expression "${jboss.bind.address.management:0.0.0.0}",
        "link-local-address" => undefined,
        "loopback" => undefined,
        "loopback-address" => undefined,
        "multicast" => undefined,
        "name" => "management",
        "nic" => undefined,
        "nic-match" => undefined,
        "not" => undefined,
        "point-to-point" => undefined,
        "public-address" => undefined,
        "site-local-address" => undefined,
        "subnet-match" => undefined,
        "up" => undefined,
        "virtual" => undefined
    }
}
Comment 1 Michael Burman 2016-03-02 08:28:11 EST
Fixed in the eap7dr02 branch:

commit 2f0b11e407d19783f74f7beae7554051f2dc12c1
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Mar 2 15:27:46 2016 +0200

    [BZ 1312389] Remove any-ipv4-address and any-ipv6-address as options
Comment 2 Michael Burman 2016-03-03 10:51:41 EST
Previous commit is superseded by the master commit:

commit b57684bf616bad1444735ceced9f764b99318d72
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Mar 3 17:21:56 2016 +0200

    [BZ 1314385] Initial implementation of wfly-10 plugin (copy of jboss-as-7 plugin)
Comment 5 Filip Brychta 2016-03-29 10:49:26 EDT
Verified on JON3.3.5 + eap plugin pack update04-DR01

Note You need to log in before you can comment on or make changes to this bug.